careCycle
CampaignsBlock snippets

Get Available Snippets for Campaign

List snippets available for this campaign, filtered by vertical/suite allowlists, with current assignment status.

GET
/v2/campaigns/{campaignId}/available-snippets

Authorization

x-api-key
x-api-key<token>

API key required for authentication.

Keys begin with 'cc_' prefix. Get your API key from the Developer Dashboard.

In: header

Path Parameters

string

Campaign ID

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.carecycle.ai/v2/campaigns/497f6eca-6276-4993-bfeb-53cbbbba6f08/available-snippets"
{
  "snippets": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "createdAt": null,
      "updatedAt": null,
      "clientId": "5e505642-9024-474d-9434-e5a44f505cc5",
      "name": "string",
      "description": "string",
      "examples": "string",
      "toolsAllowlist": "string",
      "verticalAllowlist": "string",
      "suiteAllowlist": "string",
      "isSystem": true,
      "enabled": true,
      "assignedBlockId": "3a4caae2-0a9f-47fd-8431-3e368384f91f"
    }
  ],
  "total": 0
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "VALIDATION_ERROR",
  "errors": [
    {
      "path": [
        "string"
      ],
      "message": "string",
      "expected": "string",
      "received": "string",
      "code": "string"
    }
  ]
}
{
  "message": "string",
  "code": "string",
  "retryAfter": 0
}
{
  "message": "string",
  "code": "string"
}